最后一位团队管理员

Moses Skoda工程师预计阅读 1 分钟

API 会以 409 Conflict 返回此错误,其 type 为 https://lingo.dev/docs/api/errors/last-team-manager。所有错误的通用结构请参阅错误和状态码。

此更改会使组织中不再有任何成员拥有 org:manage_team 权限,导致无人能够管理团队。请先将该权限授予另一位成员。

字段#

除了标准成员 type、status、title 和 detail,响应体还包含以下字段。detail 文本根据这些字段生成,因此客户端也可以显示自己的文本。

字段类型
organizationIdstring

示例#

json
{
  "detail": "This change would leave the organization with nobody holding org:manage_team, so nobody could manage the team. Give that permission to another member first.",
  "organizationId": "<organizationId>",
  "type": "https://lingo.dev/docs/api/errors/last-team-manager",
  "status": 409,
  "title": "Last team manager"
}

返回此错误的端点#

  • PATCH /v2/organizations/{orgId}/members/{userId}